[<text>
<title>investment group has moore-handley &lt;mhco&gt; stake</title>
<dateline>    washington, march 19 - </dateline>a group of new york investment
companies told the securities and exchange commission they have
acquired 173,000 shares of moore-handley inc, or 6.9 pct of the
total outstanding common stock.
    the firms, robert h. barker and co, j.m.r. barker
foundation, quaker hill associates l.p., upland associates l.p.
and james m. barker trust, said they bought the stock for two
mln dlrs soley for investment purposes.
    but the group said it might buy more moore-handley shares.
 reuter
</text>]